import { BranchDTO } from '@swagger/checkout';

export const LOAD_BRANCHES = '[BRANCH] Load all branches';
export const LOAD_USER_BRANCH = '[BRANCH] Load user branch';
export const ADD_BRANCHES_IF_NOT_LOADED = '[BRANCH] Load branch if not loaded';

export class LoadBranches {
  static readonly type = LOAD_BRANCHES;

  constructor() {}
}

export class LoadUserBranch {
  static readonly type = LOAD_USER_BRANCH;

  constructor() {}
}

export class AddBranchesIfNotLoaded {
  static readonly type = ADD_BRANCHES_IF_NOT_LOADED;

  constructor(public payload: BranchDTO[]) {}
}
